/*
 * Copyright (c) 2020, Erich Styger
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef LED_H_
#define LED_H_

#include "platform.h"
#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

void LED_SetOnTime(uint32_t ms);
void LED_Suspend(void);
void LED_Resume(void);
void LED_GetStatus(unsigned char *buf, size_t bufSize);

#if PL_CONFIG_USE_SHELL
  #include "McuShell.h"

  /*!
   * \brief Command line and shell handler
   * \param cmd The command to be parsed
   * \param handled If command has been recognized and handled
   * \param io I/O handler to be used
   * \return error code, otherwise ERR_OK
   */
  uint8_t LED_ParseCommand(const unsigned char* cmd, bool *handled, const McuShell_StdIOType *io);
#endif

/*! \brief Module initialization */
void LED_Init(void);

#ifdef __cplusplus
}  /* extern "C" */
#endif

#endif /* LED_H_ */
